#
# spec file for package xcb-proto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dirsuffix 1.11

Name:           xcb-proto
Version:        7.6_%{dirsuffix}
Release:        4.22
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Protocol C Bindings
License:        X11
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/xcb-proto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/xcb-proto/
Source:         http://xorg.freedesktop.org/archive/individual/xcb/%name-%dirsuffix.tar.bz2
BuildRequires:  autoconf >= 2.57
BuildRequires:  automake
BuildRequires:  fdupes
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRequires:  python-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The XCB protocol headers for X11 development.
xcb-proto provides the XML-XCB protocol descriptions that libxcb uses to
generate the majority of its code and API.

%package devel
Summary:        The X11 Protocol: X Protocol C Bindings
Group:          Development/Libraries/X11

Requires:       python-xcb-proto-devel = %{version}

# Added within the 13.2 Development Cycle
#Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/xcb-proto.pc
Provides:       xorg-x11-proto-devel = 7.6
Obsoletes:      xorg-x11-proto-devel <= 7.6

%description devel
The XCB protocol headers for X11 development.
xcb-proto provides the XML-XCB protocol descriptions that libxcb uses to
generate the majority of its code and API.

%package -n python-xcb-proto-devel
Summary:        Python libraries mandatory for XML-XCB Development
Group:          Development/Libraries/X11
Requires:       python-base = %{py_ver}

%description -n python-xcb-proto-devel
Language-independent Python
libraries that used to parse an XML description and create objects
used by Python code generators in individual language bindings.

%prep
%setup -q -n %{name}-%{dirsuffix}

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
%fdupes -s %buildroot/%_prefix

%files devel
%defattr(-,root,root)
%dir %_datadir/xcb
%doc %_datadir/xcb/*
%_libdir/pkgconfig/*.pc

%files -n python-xcb-proto-devel
%defattr(-,root,root)
%doc COPYING
%if %suse_version > 1110
%python_sitelib/xcbgen/
%else
%_libdir/python2.6/site-packages/xcbgen/
%endif

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Aug  5 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.11 (7.6_1.11):
  Minor bug fixes and things that libxcb 1.11 will need.
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Tue Apr 29 2014 cfarrell@suse.com
- license update: X11
  See COPYING
* Sun Apr 27 2014 sndirsch@suse.com
- raise version number to 7.6_1.10 and provide/obsolete
  xorg-x11-proto-devel in the hope to fix build deps
* Wed Apr 23 2014 tobias.johannes.klausmann@mni.thm.de
- Created package xcb-proto with initial version 1.10
